# -*- coding: utf-8 -*-
"""
Инициализация модуля "Очередь загрузок"

(c)2013 ЗАО "РИПАС"
www.ripas.ru
"""
from RoadCentre import plugins,project
from PythonQt import QtCore
if hasattr(plugins,'DownloadQueue'):
    d = QtCore.QDir(project.baseDir)
    if d.mkpath('conf'):
        d.cd('conf')
        plugins.DownloadQueue.configDir=QtCore.QDir.toNativeSeparators(d.absolutePath())
    else:
        gui.msgError(u'Не могу создать подкаталог %s в %s' % ('conf', project.baseDir))

    for o in project.objects():
        conf_file=d.absoluteFilePath('dat%05d.cnf'%o.id)
        if not QtCore.QFileInfo(conf_file).exists():
            conf_file=d.absoluteFilePath('dat%05d.txt'%o.id)
        if not QtCore.QFileInfo(conf_file).exists():
            continue
        o.setProperty('dqueue_config',conf_file)
    d = QtCore.QDir(project.baseDir)
    if d.mkpath('journals'):
        d.cd('journals')
        plugins.DownloadQueue.journalDir=QtCore.QDir.toNativeSeparators(d.absolutePath())
    else:
        gui.msgError(u'Не могу создать подкаталог %s в %s' % ('journals', project.baseDir))
    del d
